Bug 123776 - New port: graphics/py-gvgen - GvGen
Summary: New port: graphics/py-gvgen - GvGen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-18 04:20 UTC by Sofian Brabez
Modified: 2008-05-20 00:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.96 KB, text/plain)
2008-05-18 04:20 UTC, Sofian Brabez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofian Brabez 2008-05-18 04:20:00 UTC
Here the .shar file as attachement to add GvGen (http://software.inl.fr/trac/wiki/GvGen) to the port tree (graphics category)

GvGen is a python class to generate dot files for further use with graphviz.
Features

Features:
=========
    * Node creation, naming and connection
    * Apply any graphviz property on the fly
    * Apply graphviz properties to a style
    * Add a legend to your graph easily 

Requirements:
=============
* Python
* Graphviz (just for visualization)

Author:
=======
Sebastien Tricaud

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-18 04:20:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-05-19 23:50:46 UTC
flz         2008-05-19 22:50:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/py-gvgen    Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  Add GvGen, an easy python interface to generate dot files.
  
  PR:             ports/123776
  Submitted by:   Sofian Brabez <sbrabez@gmail.com>
  
  Revision  Changes    Path
  1.1154    +1 -0      ports/graphics/Makefile
  1.1       +32 -0     ports/graphics/py-gvgen/Makefile (new)
  1.1       +3 -0      ports/graphics/py-gvgen/distinfo (new)
  1.1       +4 -0      ports/graphics/py-gvgen/pkg-descr (new)
  1.1       +13 -0     ports/graphics/py-gvgen/pkg-message (new)
  1.1       +3 -0      ports/graphics/py-gvgen/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Florent Thoumie freebsd_committer 2008-05-19 23:59:03 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!